import db_postgres, macros, options, postgres, sequtils, strutils, times,
  timeutils, unicode, uuids

import ./models
import ./db_common

# proc create: Typed create methods for specific records
proc createUser*(db: DbConn, user: User): User = return db.createRecord(user)
proc createApiToken*(db: DbConn, token: ApiToken): ApiToken = return db.createRecord(token)
proc createMeasure*(db: DbConn, measure: Measure): Measure = return db.createRecord(measure)
proc createValue*(db: DbConn, value: Value): Value = return db.createRecord(value)

proc getUser*(db: DbConn, id: UUID): User = return db.getRecord(User, id)
proc getUser*(db: DbConn, id: string): User = return db.getRecord(User, parseUUID(id))
proc getApiToken*(db: DbConn, id: UUID): ApiToken = return db.getRecord(ApiToken, id)
proc getMeasure*(db: DbConn, id: UUID): Measure = return db.getRecord(Measure, id)
proc getValue*(db: DbConn, id: UUID): Value = return db.getRecord(Value, id)
